Subject: Re: [PATCH 3/3] tag: support configuring --sort via .gitconfig

From: Junio C Hamano <[email-masked]>
Date: Tue, 15 Jul 2014 12:10:57 -0700

Junio C Hamano <[email-masked]> writes:

> "Keller, Jacob E" <[email-masked]> writes:
>
>> On Tue, 2014-07-15 at 09:03 -0700, Junio C Hamano wrote:
>> ...
>>> >> Yes, that is fun.
>>> >> 
>>> >> I actually think your "In 'version:pefname' and 'wersion:refname',
>>> >> we want be able to report 'pefname' and 'wersion' are misspelled,
>>> >> and returning -1 or enum would not cut it" is a good argument.  The
>>> >> callee wants to have flexibility on _what_ to report, just as the
>>> >> caller wants to have flexibility on _how_.  In this particular code
>>> >> path, I think the former far outweighs the latter, and my suggestion
>>> >> I called "silly" might not be so silly but may have struck the right
>>> >> balance.  I dunno.
>> ...
>> I agree. But what about going back to the older setup where the caller
>> can output correct error message? I'm ok with using an enum style
>> return, to be completely honest. I would prefer this, actually.
>
> Depends on which older setup you mean, I think.  The one that does
> not let us easily give more context dependent diagnoses that lets us
> distinguish between version:pefname and version:refname by returning
> only -1 or an enum?

In case it was not clear, I do not think -1 or enum is a good idea.